# DataExchange
TKIGES
IGESDimen

# IGESDimen_OrdinateDimension Class Reference

defines IGES Ordinate Dimension, Type <218> Form <0, 1>,
in package IGESDimen
Note : The ordinate dimension entity is used to
indicate dimensions from a common base line.
Dimensioning is only permitted along the XT
or YT axis.

`#include <IGESDimen_OrdinateDimension.hxx>`

Inheritance diagram for IGESDimen_OrdinateDimension:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDimen_OrdinateDimension ()
Standard_EXPORT void | Init (const Handle(IGESDimen_GeneralNote)&aNote, const Standard_Boolean aType, const Handle(IGESDimen_WitnessLine)&aLine, const Handle(IGESDimen_LeaderArrow)&anArrow)
Standard_EXPORT Standard_Boolean | IsLine () const
| returns True if Witness Line and False if Leader (only for Form 0)
Standard_EXPORT Standard_Boolean | IsLeader () const
| returns True if Leader and False if Witness Line (only for Form 0)
Standard_EXPORT Handle_IGESDimen_GeneralNote | Note () const
| returns the General Note entity associated.
Standard_EXPORT Handle_IGESDimen_WitnessLine | WitnessLine () const
| returns the Witness Line associated or Null handle
Standard_EXPORT Handle_IGESDimen_LeaderArrow | Leader () const
| returns the Leader associated or Null handle
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESDimen_GeneralNote | theNote
Standard_Boolean | isItLine
Handle_IGESDimen_WitnessLine | theWitnessLine
Handle_IGESDimen_LeaderArrow | theLeader

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_OrdinateDimension::IGESDimen_OrdinateDimension | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESDimen_OrdinateDimension::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDimen_OrdinateDimension::Init | ( | const Handle(IGESDimen_GeneralNote)& | aNote,
|  | const Standard_Boolean | aType,
|  | const Handle(IGESDimen_WitnessLine)& | aLine,
|  | const Handle(IGESDimen_LeaderArrow)& | anArrow
| ) |

Standard_EXPORT Standard_Boolean IGESDimen_OrdinateDimension::IsLeader | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESDimen_OrdinateDimension::IsLine | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_LeaderArrow IGESDimen_OrdinateDimension::Leader | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_GeneralNote IGESDimen_OrdinateDimension::Note | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_WitnessLine IGESDimen_OrdinateDimension::WitnessLine | ( |  | ) | const

## Field Documentation

Standard_Boolean IGESDimen_OrdinateDimension::isItLine `[private]`

Handle_IGESDimen_LeaderArrow IGESDimen_OrdinateDimension::theLeader `[private]`

Handle_IGESDimen_GeneralNote IGESDimen_OrdinateDimension::theNote `[private]`

Handle_IGESDimen_WitnessLine IGESDimen_OrdinateDimension::theWitnessLine `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_OrdinateDimension.hxx